Login
Newsletter
Werbung

Sicherheit: Denial of Service in libvorbis
Aktuelle Meldungen Distributionen
Name: Denial of Service in libvorbis
ID: openSUSE-SU-2018:1622-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 42.3
Datum: Sa, 9. Juni 2018, 17:24
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-10392
Applikationen: libvorbis

Originalnachricht

   openSUSE Security Update: Security update for libvorbis
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:1622-1
Rating: moderate
References: #1091070
Cross-References: CVE-2018-10392
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for libvorbis fixes the following issues:

The following security issue was fixed:

- Fixed the validation of channels in mapping0_forward(), which previously
allowed remote attackers to cause a denial of service via specially
crafted files (CVE-2018-10392, bsc#1091070)

This update was imported from the SUSE:SLE-12:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-591=1



Package List:

- openSUSE Leap 42.3 (i586 x86_64):

libvorbis-debugsource-1.3.3-17.1
libvorbis-devel-1.3.3-17.1
libvorbis0-1.3.3-17.1
libvorbis0-debuginfo-1.3.3-17.1
libvorbisenc2-1.3.3-17.1
libvorbisenc2-debuginfo-1.3.3-17.1
libvorbisfile3-1.3.3-17.1
libvorbisfile3-debuginfo-1.3.3-17.1

- openSUSE Leap 42.3 (noarch):

libvorbis-doc-1.3.3-17.1

- openSUSE Leap 42.3 (x86_64):

libvorbis0-32bit-1.3.3-17.1
libvorbis0-debuginfo-32bit-1.3.3-17.1
libvorbisenc2-32bit-1.3.3-17.1
libvorbisenc2-debuginfo-32bit-1.3.3-17.1
libvorbisfile3-32bit-1.3.3-17.1
libvorbisfile3-debuginfo-32bit-1.3.3-17.1


References:

https://www.suse.com/security/cve/CVE-2018-10392.html
https://bugzilla.suse.com/1091070

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung